std::allocator< _Tp >(3cxx)

NAME
std::allocator< _Tp > - The standard allocator, as per C++03 [20.4.1].

SYNOPSIS

Inherits std::__new_allocator< _Tp >.

  Public Types

typedef ptrdiff_t difference_type
using is_always_equal = true_type
using propagate_on_container_move_assignment = true_type
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions

constexpr allocator (const allocator &__a) noexcept
template<typename _Tp1 > constexpr allocator (const allocator< _Tp1 > &) noexcept
constexpr _Tp * allocate (size_t __n)
_Tp * allocate (size_type __n, const void *=static_cast< const void * >(0))
constexpr void deallocate (_Tp *__p, size_t __n)
allocator & operator= (const allocator &)=default

  Friends

constexpr friend bool operator== (const allocator &, const allocator &) noexcept

Detailed Description

  template<typename _Tp>
class std::allocator< _Tp >" The standard allocator, as per C++03 [20.4.1].

See https://gcc.gnu.org/onlinedocs/libstdc++/manual/memory.html#std.util.memory.allocator for further details.

Template Parameters
    _Tp Type of allocated object.

Author

Generated automatically by Doxygen for libstdc++ from the source code.